Package org.apache.commons.io.function

# Interface IOSupplier<T>

Type Parameters:
  `T` - the return type of the operations.

All Known Implementing Classes:
  `AbstractOrigin`, `AbstractOrigin.ByteArrayOrigin`, `AbstractOrigin.CharSequenceOrigin`, `AbstractOrigin.FileOrigin`, `AbstractOrigin.InputStreamOrigin`, `AbstractOrigin.OutputStreamOrigin`, `AbstractOrigin.PathOrigin`, `AbstractOrigin.ReaderOrigin`, `AbstractOrigin.URIOrigin`, `AbstractOrigin.WriterOrigin`, `AbstractOriginSupplier`, `AbstractStreamBuilder`, `AbstractSupplier`, `AutoCloseInputStream.Builder`, `BOMInputStream.Builder`, `BoundedInputStream.Builder`, `BufferedFileChannelInputStream.Builder`, `CharSequenceInputStream.Builder`, `ChecksumInputStream.Builder`, `ChunkedOutputStream.Builder`, `DeferredFileOutputStream.Builder`, `FileWriterWithEncoding.Builder`, `LockableFileWriter.Builder`, `MemoryMappedFileInputStream.Builder`, `MessageDigestCalculatingInputStream.Builder`, `MessageDigestInputStream.Builder`, `QueueInputStream.Builder`, `RandomAccessFileInputStream.Builder`, `ReadAheadInputStream.Builder`, `ReaderInputStream.Builder`, `ReversedLinesFileReader.Builder`, `Tailer.Builder`, `ThrottledInputStream.Builder`, `UncheckedBufferedReader.Builder`, `UncheckedFilterInputStream.Builder`, `UncheckedFilterOutputStream.Builder`, `UncheckedFilterReader.Builder`, `UncheckedFilterWriter.Builder`, `UnsynchronizedBufferedInputStream.Builder`, `UnsynchronizedByteArrayInputStream.Builder`, `UnsynchronizedByteArrayOutputStream.Builder`, `UnsynchronizedFilterInputStream.Builder`, `WildcardFileFilter.Builder`, `WriterOutputStream.Builder`, `XmlStreamReader.Builder`, `XmlStreamWriter.Builder`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface IOSupplier<T>
Like `Supplier` but throws `IOException`.

Since:
  2.7

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default Supplier<T>`
  `asSupplier()`
  Creates a `Supplier` for this instance that throws `UncheckedIOException` instead of `IOException`.
  `T`
  `get()`
  Gets a result.

- ## Method Details

  - ### asSupplier

    default Supplier<T> asSupplier()
    Creates a `Supplier` for this instance that throws `UncheckedIOException` instead of `IOException`.
    Returns:
      an UncheckedIOException Supplier.
    Since:
      2.12.0

  - ### get

    T get() throws IOException
    Gets a result.
    Returns:
      a result
    Throws:
      `IOException` - if an I/O error occurs.